javax.net.ssl

## Enum SSLEngineResult.Status

- java.lang.Object
- - java.lang.Enum<SSLEngineResult.Status>
  - - javax.net.ssl.SSLEngineResult.Status

- All Implemented Interfaces:
    Serializable, Comparable<SSLEngineResult.Status>
  Enclosing class:
    SSLEngineResult

      public static enum SSLEngineResult.Status
      extends Enum<SSLEngineResult.Status>

  An `SSLEngineResult` enum describing the overall result of the `SSLEngine` operation. The `Status` value does not reflect the state of a `SSLEngine` handshake currently in progress. The `SSLEngineResult's HandshakeStatus` should be consulted for that information.
  Since:
    1.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUFFER_OVERFLOW` The `SSLEngine` was not able to process the operation because there are not enough bytes available in the destination buffer to hold the result.
    `BUFFER_UNDERFLOW` The `SSLEngine` was not able to unwrap the incoming data because there were not enough source bytes available to make a complete packet.
    `CLOSED` The operation just closed this side of the `SSLEngine`, or the operation could not be completed because it was already closed.
    `OK` The `SSLEngine` completed the operation, and is available to process similar calls.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSLEngineResult.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SSLEngineResult.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUFFER_UNDERFLOW

          public static final SSLEngineResult.Status BUFFER_UNDERFLOW

      The `SSLEngine` was not able to unwrap the incoming data because there were not enough source bytes available to make a complete packet.

      Repeat the call once more bytes are available.

    - #### BUFFER_OVERFLOW

          public static final SSLEngineResult.Status BUFFER_OVERFLOW

      The `SSLEngine` was not able to process the operation because there are not enough bytes available in the destination buffer to hold the result.

      Repeat the call once more bytes are available.

      See Also:
        `SSLSession.getPacketBufferSize()`, `SSLSession.getApplicationBufferSize()`

    - #### OK

          public static final SSLEngineResult.Status OK

      The `SSLEngine` completed the operation, and is available to process similar calls.

    - #### CLOSED

          public static final SSLEngineResult.Status CLOSED

      The operation just closed this side of the `SSLEngine`, or the operation could not be completed because it was already closed.

  - ### Method Detail

    - #### values

          public static SSLEngineResult.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSLEngineResult.Status c : SSLEngineResult.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSLEngineResult.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.